<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title>Bootstrap - Prebuilt Layout</title>
    <!-- Bootstrap -->
    <link href="../../static/css/bootstrap.css" rel="stylesheet" th:href="@{/css/bootstrap.css}"/>
</head>

<body>
<div class="container" style="margin-top: 2%">
    <legend>Inscription</legend>

    <form class="form-horizontal" method="post" th:action="@{/client/save}" th:object="${client}">
        <div class="row">
            <div class="col-md-4 col-md-offset-1">

                <input type="hidden" class="form-control" name="id" id="id"
                       th:field="*{id}"/>

                <div class="form-group">
                    <label for="login">Login</label>
                    <input type="text" class="form-control" id="login" placeholder="Entrez votre login"
                           th:field="*{login}"/>

                    <p th:if="${#fields.hasErrors('login')}" th:errors="*{login}"></p>
                </div>

                <div class="form-group">
                    <label for="password">Password</label>
                    <input type="password" class="form-control" id="password" placeholder="Entrez votre mot de passe"
                           th:field="*{password}"/>

                    <p th:if="${#fields.hasErrors('password')}" th:errors="*{password}"></p>
                </div>

                <div class="form-group">
                    <label for="email">Email</label>
                    <input type="email" class="form-control" id="email" placeholder="Entrez votre email"
                           th:field="*{email}"/>

                    <p th:if="${#fields.hasErrors('email')}" th:errors="*{email}"></p>
                </div>
                <div class="form-group">
                    <label for="nom">Nom</label>
                    <input type="text" class="form-control" id="nom" placeholder="Entrez votre nom"
                           th:field="*{nom}"/>

                    <p th:if="${#fields.hasErrors('nom')}" th:errors="*{nom}"></p>
                </div>
                <div class="form-group">
                    <label for="prenom">Prenom</label>
                    <input type="text" class="form-control" id="prenom" placeholder="Entrez votre prenom"
                           th:field="*{prenom}"/>

                    <p th:if="${#fields.hasErrors('prenom')}" th:errors="*{prenom}"></p>
                </div>
                <div class="form-group">
                    <label for="cin">CIN</label>
                    <input type="text" class="form-control" id="cin" placeholder="Entrez votre CIN"
                           th:field="*{cin}"/>

                    <p th:if="${#fields.hasErrors('cin')}" th:errors="*{cin}"></p>
                </div>

                <div class="form-group">
                    <label for="numeroPasseport">Numero Passeport</label>
                    <input type="text" class="form-control" id="numeroPasseport" placeholder="Entrez votre numero de passeport"
                           th:field="*{numeroPasseport}"/>

                    <p th:if="${#fields.hasErrors('numeroPasseport')}" th:errors="*{numeroPasseport}"></p>
                </div>
                <div class="form-group">
                    <label for="adresse">Adresse</label>
                    <input type="text" class="form-control" id="adresse" placeholder="Entrez votre adresse"
                           th:field="*{adresse}"/>

                    <p th:if="${#fields.hasErrors('adresse')}" th:errors="*{adresse}"></p>
                </div>

            </div>
        </div>
        <div class="row">
            <div class="col-md-8 col-md-offset-9">
                <button type="submit" class="btn btn-info" th:href="@{/client/save}">Confirmer</button>
                <button type="reset" class="btn btn-info">Annuler</button>
            </div>
        </div>
    </form>
</div>

<hr/>
<div th:include="clientView/fragments::footer"></div>

<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="../../static/js/jquery-1.11.2.min.js" th:href="@{/js/jquery-1.11.2.min.js}"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="../../static/js/bootstrap.js" th:href="@{/js/bootstrap.js}"></script>
</body>
</html>